summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2006-01-23 14:02:03 +0000
committerPeter Palfrader <peter@palfrader.org>2006-01-23 14:02:03 +0000
commitdab5ec275ceaa77acf2417cc2d536a66d9137e73 (patch)
treeeab870b528d1f7e1a7522dcf46c8c00338068282
parentb3b18aedad93dba397d2b55a2ecf6ffd419af206 (diff)
downloadtor-dab5ec275ceaa77acf2417cc2d536a66d9137e73.tar.gz
tor-dab5ec275ceaa77acf2417cc2d536a66d9137e73.zip
* Create /var/run/tor on init script start if it does not exist already.
* Set default ulimit -n to 8k instead of 4k in /etc/default/tor. svn:r5852
-rw-r--r--changelog7
-rw-r--r--tor.default2
-rw-r--r--tor.init8
3 files changed, 12 insertions, 5 deletions
diff --git a/changelog b/changelog
index 7432119d87..1e75935f1d 100644
--- a/changelog
+++ b/changelog
@@ -1,10 +1,13 @@
-tor (0.1.1.12-alpha-2XXXXXX) unreleased; urgency=low
+tor (0.1.1.12-alpha-cvs-0) unreleased; urgency=low
* CVS SNAPSHOT
* Forward port patches/02_add_debian_files_in_manpage.
* Forward port patches/03_tor_manpage_in_section_8.
+ * Create /var/run/tor on init script start if it does
+ not exist already.
+ * Set default ulimit -n to 8k instead of 4k in /etc/default/tor.
- -- Peter Palfrader <weasel@debian.org> Thu, 12 Jan 2006 03:18:59 +0100
+ -- Peter Palfrader <weasel@debian.org> Mon, 23 Jan 2006 15:00:53 +0100
tor (0.1.1.12-alpha-1) experimental; urgency=low
diff --git a/tor.default b/tor.default
index 289f054f0f..237e5bc520 100644
--- a/tor.default
+++ b/tor.default
@@ -12,7 +12,7 @@ RUN_DAEMON="yes"
# if they are very busy and have many clients connected to them.
# (ulimit -n)
#
-MAX_FILEDESCRIPTORS=4096
+MAX_FILEDESCRIPTORS=8192
#
# If tor is seriously hogging your CPU, taking away too much cycles from
diff --git a/tor.init b/tor.init
index e0e4709f25..d764fb9423 100644
--- a/tor.init
+++ b/tor.init
@@ -65,8 +65,12 @@ case "$1" in
if [ "$RUN_DAEMON" != "yes" ]; then
echo "Not starting $DESC (Disabled in $DEFAULTSFILE)."
else
- if test ! -d $TORPIDDIR; then echo "There is no $TORPIDDIR directory." >&2; exit 1
- elif test ! -x $TORPIDDIR; then echo "Cannot access $TORPIDDIR directory, are you root?" >&2; exit 1;
+ if test ! -d $TORPIDDIR; then
+ echo "There is no $TORPIDDIR directory. Creating one for you."
+ mkdir -m 02700 "$TORPIDDIR"
+ chown debian-tor:debian-tor "$TORPIDDIR"
+ fi
+ if test ! -x $TORPIDDIR; then echo "Cannot access $TORPIDDIR directory, are you root?" >&2; exit 1;
else
echo "Starting $DESC: $NAME..."
ulimit -n $MAX_FILEDESCRIPTORS || echo "Warn: Could not set ulimit for number of file descriptors." >&2